- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_client_t

# mongoc_client_get_server_status()

## Synopsis

    bool
    mongoc_client_get_server_status (mongoc_client_t *client,
                                     mongoc_read_prefs_t *read_prefs,
                                     bson_t *reply,
                                     bson_error_t *error) BSON_GNUC_DEPRECATED;

Queries the server for the current server status. The result is stored in `reply`.

`reply` is always initialized, even in the case of failure. Always call `bson_destroy()` to release it.

## Deprecated

This helper function is deprecated and should not be used in new code. Run the serverStatus command directly with mongoc_client_read_command_with_opts() instead.

## Parameters

- `client`: A mongoc_client_t.
- `read_prefs`: A mongoc_read_prefs_t.
- `reply`: A location for the result `bson_t`.
- `error`: An optional location for a bson_error_t or `NULL`.

## Errors

Errors are propagated via the `error` parameter.

## Returns

Returns `true` if successful. Returns `false` and sets `error` if there are invalid arguments or a server or network error.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.